﻿/*region Commonly Used Classes*/
.dark-blue-text {
    color: #252959;
}

.grey-text {
    color: #889096 !important;
}

.margin-right-small {
    margin-right: 0.5em;
}

.display-flex {
    display:flex;
}

.gap-small {
    gap: 0.5em;
}

.mr-2px {
    margin-right: 2px;
}

.mr-46px {
    margin-right: 46px;
}

.cursor-pointer {
    cursor: pointer;
}

.center-content {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.square-container {
    padding-top: 30px;
    padding-bottom: 30px;
    width: 25vw;
}

.square-ratio-full {
    aspect-ratio: 1 / 1;
    max-width: 100%;
    max-height: 100%;
}

.primary-theme-color {
    color: var(--theme-primary-default, #C80019) ;
}

.size-40px {
    width: 40px;
    height: 40px;
}

.width-calc-100-minus-50 {
    width: calc(100% - 50px);
}

.section-separator-xs {
    display: inline-block;
    margin-right: 5px;
}

.whitespace-pre-line {
    white-space: pre-line;
}

.ml-30px {
    margin-left: 30px;
}


.sf-multiselect .e-multi-select-wrapper .e-clear-icon, .e-multiselect.e-control-container.e-input-group .e-multi-select-wrapper .e-clear-icon {
    display: block !important;
    margin-top: -22px;
}

.sf-multiselect .e-multiselect.e-control-container .e-multi-select-wrapper .e-ddl-icon, .e-multiselect.e-control-container.e-input-group .e-multi-select-wrapper .e-ddl-icon {
    margin-top: -30px;
}

.position-relative {
    position: relative !important;
}

.bc-opacity-30 {
    opacity: 0.3;
}

.cursor-default {
    cursor: default;
}
.mt-25px {
    margin-top: 25px;
}

.mt-5px {
    margin-top: 5px;
}

.mt-n4px {
    margin-top: -4px;
}

.mr-10px {
    margin-right: 10px;
}

.ml-12px {
    margin-left: 12px;
}

.margin-left-negative-120 {
    margin-left: -120px;
}

.h-4px {
    height: 4px;
}

.h-32px {
    height: 32px;
}

.p-5px {
    padding: 5px;
}

.p-10px {
    padding: 10px;
}

.pt-4px {
    padding-top: 4px;
}

.pb-5px {
    padding-bottom: 5px;
}

.m-1px {
    margin: 1px;
}

.flex-50-procent {
    flex: 50%;
}
.white-space-pre-line {
    white-space: pre-line;
}

.overflow-hidden {
    overflow: hidden;
}
/*endregion Commonly Used Classes*/

/*region Utility Classes*/
/* Utility Classes for Text Sizes */
.bc-util-text-xs {
    font-size: var(--font-size-text-xs);
    line-height: var(--line-height-text-xs);
}

.bc-util-text-sm {
    font-size: var(--font-size-text-sm);
    line-height: var(--line-height-text-sm);
}

.bc-util-text-md {
    font-size: var(--font-size-text-md);
    line-height: var(--line-height-text-md);
}

.bc-util-text-lg {
    font-size: var(--font-size-text-lg);
    line-height: var(--line-height-text-lg);
}

.bc-util-text-xl {
    font-size: var(--font-size-text-xl);
    line-height: var(--line-height-text-xl);
}

/* Utility Classes for Display Sizes */
.bc-util-display-xs {
    font-size: var(--font-size-display-xs);
    line-height: var(--line-height-display-xs);
}

.bc-util-display-sm {
    font-size: var(--font-size-display-sm);
    line-height: var(--line-height-display-sm);
}

.bc-util-display-md {
    font-size: var(--font-size-display-md);
    line-height: var(--line-height-display-md);
}

/* Utility Classes for Font Weights */
.bc-util-fw-regular {
    font-weight: var(--font-weight-regular);
}

.bc-util-fw-medium {
    font-weight: var(--font-weight-medium);
}

.bc-util-fw-bold {
    font-weight: var(--font-weight-bold);
}
/*endregion Utility Classes*/

/*#region Misc*/
.alert {
    padding: 0.5rem 0.75rem;
    margin-top: 0.75rem;
    margin-bottom: 0.75rem;
}

.e-content-animation {
    transition: none;
}
/*#endregion*/